
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #587

since 3.7, double size has become extremely large

November 12, 2015 00:47 - il lumilore

Status: Closed Start date: November 12, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.7.1   

Affects version: 3.7   

Description

since 3.7, when clicking double size in winamp skin, the size of the player becomes more than double size and takes up about 1/6th

of the screen. Is it possible to make an option where the user selects what the size is? Triple the original size might be too large.

History

#1 - November 12, 2015 18:12 - Thomas Lange

I cannot reproduce this. For me the main window size becomes 550x232 from the original 275x116. Which window manager do you use?

#2 - November 13, 2015 00:57 - il lumilore

kde 5.4 on opensuse

#3 - November 13, 2015 04:11 - John Lindgren

- Category set to plugins/skins

It's intended to adjust based on the screen resolution.  But maybe this will be undesired for most people.  I'm open to backing out the change.

#4 - November 13, 2015 23:33 - il lumilore

Maybe a preference toggle to select whether it goes to double or triple original size if double isn't big enough for some people?

#5 - November 14, 2015 05:56 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7.1

- % Done changed from 0 to 100

I've changed the logic to the following (as explained by the comment in the code):

// The current scaling implementation allows any integer scale factor, but

// the legacy "double size" config option is limited to two choices.  For

// now, the two options are floor(DPI/96) and floor(DPI/96)+1.  On screens

// up to 191 DPI, this gives the traditional 1x and 2x scale factors.

Then for higher resolution screens you would have:

192-287 DPI: 2x or 3x

288-383 DPI: 3x or 4x

... and so on.

(And obviously still 1x or 2x for screens under 96 DPI, if those exist).

In the long run, we could add a dial that allows any scale factor to be selected, but I think this is sufficient for now.  At any rate, it will fix your specific

problem of "double size" being triple size instead, which probably no one wants.
